﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.Themes;

namespace TestTouchButtonClick
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        Timer timer = new Timer();

        public RadForm1()
        {
            InitializeComponent();

            this.button1.MouseDown += btn_MouseDown;
            this.radButton2.MouseDown += radButton2_MouseDown;

            timer.Interval = 100;
            timer.Tick += timer_Tick;
        }

        void btn_MouseDown(object sender, MouseEventArgs e)
        {
        }

        void timer_Tick(object sender, EventArgs e)
        {
            timer.Stop();
            this.radButton2.ButtonElement.ResetThemeValueOverrides();
        }

        void radButton2_MouseDown(object sender, MouseEventArgs e)
        {
            Console.WriteLine(this.radButton2.ButtonElement.VisualState);
            this.radButton2.ButtonElement.SetThemeValueOverride(Telerik.WinControls.Primitives.FillPrimitive.BackColorProperty,
                Color.FromArgb(128,181,2), "RadButtonElement", typeof(Telerik.WinControls.Primitives.FillPrimitive));
            this.radButton2.ButtonElement.SetThemeValueOverride(Telerik.WinControls.Primitives.FillPrimitive.GradientStyleProperty,
                GradientStyles.Solid, "RadButtonElement", typeof(Telerik.WinControls.Primitives.FillPrimitive));
            timer.Start();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.radButton1.EnableGesture(GestureType.All);
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            Console.WriteLine("Btn 1");
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            Console.WriteLine("Btn 2");
        }
    }
}
